OPAM-REMOTE(1)

NAME

opam-remote - An alias for repository.

SYNOPSIS

opam remote [OPTION]... [COMMAND] [ARG]...

DESCRIPTION

opam remote is an alias for opam repository.

See opam repository --help for details.

ARGUMENTS

COMMAND
    Name of the sub-command. See the COMMANDS section for more info.

COMMON OPTIONS

--color=WHEN (absent=auto)
    Colorize the output. WHEN must be `always', `never' or `auto'.

--compat-mode-1.0
    Compatibility mode with OPAM 1.0

--debug
    Print debug message on stdout. This is equivalent to setting $OPAMDEBUG to a non-empty value.

--git-version
    Print the git version if it exists and exit.

--no-aspcud
    Do not use the external aspcud solver, even if available.

--no-base-packages
    Do not install base packages (useful for testing purposes). This is equivalent to setting $OPAMNOBASEPACKAGES to a non-empty string.

-q, --quiet
    Be quiet when installing a new compiler.

-r ROOT, --root=ROOT (absent=~/.opam)
    Use ROOT as the current root path. This is equivalent to setting $OPAMROOT to ROOT.

--strict
    Fail whenever an error is found in a package definition or a configuration file. The default is to continue silently if possible.

--switch=SWITCH
    Use SWITCH as the current compiler switch. This is equivalent to setting $OPAMSWITCH to SWITCH.

-v, --verbose
    Be more verbose. This is equivalent to setting $OPAMVERBOSE to a non-empty value.

-y, --yes
    Disable interactive mode and answer yes to all questions that would otherwise be asked to the user. This is equivalent to setting $OPAMYES to a non-empty string.

OPTIONS

--help[=FMT] (default=pager)
    Show this help in format FMT (pager, plain or groff).

-k KIND, --kind=KIND
    Specify the kind of the repository to be set (the main ones are 'http', 'local', 'git', 'darcs' or 'hg').

-p INT, --priority=INT
    Set the repository priority (bigger is better)

-s, --short
    Output the names separated by one whitespace instead of using the usual formatting.

--version
    Show version information.